/*--------- FONTS --------- */
@font-face {
    font-family: Comfortaa;
    src: url(../fonts/Comfortaa.ttf);
}
@font-face {
    font-family: Montserrat-Bold;
    src: url(../fonts/Montserrat-Bold.ttf);
}
@font-face {
    font-family: Montserrat-SemiBold;
    src: url(../fonts/Montserrat-SemiBold.ttf);
}
@font-face {
    font-family: Montserrat-Black;
    src: url(../fonts/Montserrat-Black.ttf);
}
@font-face {
    font-family: Montserrat-Regular;
    src: url(../fonts/Montserrat-Regular.ttf);
}
@font-face {
    font-family: Roboto-Regular;
    src: url(../fonts/Roboto-Regular.ttf);
}


h6 { color: #003262; font-family: Comfortaa, sans-serif; font-size: 18px; text-align: left; margin-bottom: 12px; }
h5 { color: #003262; font-family: Montserrat-Bold, sans-serif; font-size: 22px; text-align: center; }
h2 { color: #003262; font-family: Montserrat-Bold, sans-serif; font-size: 36px; text-align: left; margin-bottom: 0px; }
p { color: #5a5a5a; }
b { font-family: Montserrat-Bold; color: #003262; }
.overflow-ellipsis { white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }

.form-group { margin-bottom: 6px; }
.form-group label { font-family: Roboto-Regular, sans-serif; color: #5A5A5A; margin-bottom: 0px; font-size: 14px; }
.form-group .input-group .input-group-prepend { height: 36px; }
.form-group .input-group .input-group-prepend .input-group-text { border: 1px solid #bdbdbd; font-size: 13px; }
.form-control { height: 36px; padding: .25rem .5rem; font-size: 16px; line-height: 22px; border-radius: .2rem; border: 1px solid #bdbdbd; }
.form-control:focus { box-shadow: 0 0 0 2px #ffa77c !important; border-color: #ffa77c !important; }
.form-group-switch { margin-bottom: 15px; padding-top: 22px; display: flex; flex-direction: row; }
.form-group-switch label { font-family: Roboto-Regular, sans-serif; color: #5A5A5A; margin-bottom: 0px; font-size: 14px; margin-top: auto; margin-bottom: auto; }
.form-group-switch label.switch { margin-right: 10px; }


/*--------- Page ---------*/
body { background: rgb(226,226,226); background: linear-gradient(180deg, rgba(226,226,226,1) 0%, rgba(211,215,221,1) 100%); } 
.page { width: calc(100vw - 300px); height:100vh; overflow-y: auto; overflow-x: hidden; margin-left: 300px; transition: margin-left ease-in-out .5s; }
.page.full-width { width: 100vw; margin-left: 0px; }
.page .header { background-color: #EFEFEF; padding-top: 40px; padding-left: 40px; }
.page .subtitle { color: #828282; text-align: center; font-family: Comfortaa, sans-serif; font-size: 20px; font-weight: normal; margin-bottom: 20px; }
.page .content { padding-top: 40px; padding-left: 40px; padding-right: 40px; position: relative; }
.page.withTabs .tabs-container { display: flex; flex-direction: row; }
.page.withTabs .tabs-container .tab { display: block; margin-right: 50px; cursor: pointer; white-space: nowrap; }
.page.withTabs .tabs-container .tab label { font-family: Comfortaa, sans-serif; font-size: 16px; margin-right: 8px; color: #003262; cursor: pointer; transition: color ease-in-out .2s; }
.page.withTabs .tabs-container .tab label:hover { color: #FF6419; }
.page.withTabs .tabs-container .tab .counter { display: inline-block; background-color: #ff6419; padding: 0px 8px; border-radius: 10px; color: white; font-family: Comfortaa, sans-serif; font-size: 14px; line-height: 28px; }
.page.withTabs .tabs-container .tab .selection { height: 5px; width: 100%; background-color: #FF6419; opacity: 0; transition: opacity ease-in-out .3s; }
.page.withTabs .tabs-container .tab.selected label { color: #FF6419; } 
.page.withTabs .tabs-container .tab.selected .selection { opacity: 1 !important; }
.page.withTabs .content { display: none; }
.page.withTabs .content.selected { display: block; }


/*-------- Buttons -------*/
.btn-primary { background-color: #FF6419; color: white; border: none; transition: background-color ease-in-out .2s; font-family: Comfortaa, sans-serif; font-weight: bold; height: 36px; padding: 0px 6px; font-size: 16px; line-height: 20px; outline: none !important; cursor: pointer !important; display: flex; align-items: center; justify-content: center; flex-wrap: wrap; }
.btn-primary.circular { border-radius: 50%; width: 45px; height: 45px; padding: 0px; }
.btn-primary.float { position: fixed; bottom: 30px; right: 30px; box-shadow: 0px 3px 6px 0 rgba(0, 0, 0, 0.3); z-index: 100; }
.btn-primary:hover { background-color: #D84600; border: 1px solid #D84600; }
.btn-primary:focus { box-shadow: 0 0 0 2px #ffa77c !important;  color: #fff; background-color: #FF6419; border-color: #ffa77c !important; }
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle { color: #fff; background-color: #FF6419; border-color: #D84600; }
.btn-primary img { width: 60%; height: auto; max-width: 60%; max-height: 60%; }
.btn-primary.disabled, .btn-primary:disabled { color: #fff; background-color: #FF6419 !important; border-color: #D84600; }
.btn-icon { display: flex; flex-flow: row nowrap; }
.btn-icon img { width: 90%; height: 90%; object-fit: fill; padding: 0px; max-width: 90%; max-height: 90%; margin-right: 4px; }
.btn-icon span { margin: 0px; padding: 0px; }

/*-------- Switch ---------*/
.switch { position: relative; display: inline-block; width: 54px; height: 24px; min-width: 54px; }
.switch input { opacity: 0; width: 0; height: 0; }
.switch .slider { position: absolute; cursor: pointer; top: 0; left: 0; right: 0; bottom: 0; background-color: #F64646; -webkit-transition: .4s; transition: .4s; border-radius: 34px; }
.switch .slider:before { position: absolute; content: ""; height: 20px; width: 20px; left: 2px; bottom: 2px; background-color: white; -webkit-transition: .4s; transition: .4s; border-radius: 50%; }
.switch input:checked + .slider { background-color: #74D153; }
.switch input:focus + .slider { box-shadow: 0 0 0px #2196F3; }
.switch input:checked + .slider:before { -webkit-transform: translateX(30px); -ms-transform: translateX(30px); transform: translateX(30px); }
.switch input:disabled + .slider { background-color: #c2c2c3 !important;  }

/*-------- Modal ---------*/
.modal .modal-dialog { margin-top: 90px; }
.modal .modal-dialog.dialog-sm { width: 300px; max-width: 90vw; margin-right: auto; margin-left: auto;}  
.modal .modal-content { border: none; }
.modal .modal-header { background-color: #FF6419; padding: 8px; }
.modal .modal-header .modal-title { color: white; font-family: Comfortaa, sans-serif; font-size: 18px; width: 100%; text-align: center; }
.modal .modal-header button.close { outline: none !important; margin-right: -6px; }
.modal .modal-header button.close span { text-shadow: none !important; }
.modal .modal-footer { justify-content: center; }
.modal .modal-footer button { min-width: 160px; }
.modal .modal-body .description { text-align: center; font-family: Montserrat-SemiBold, sans-serif; }
.modal .modal-body .description b { font-family: Montserrat-Black; color: #003262; }
.modal .modal-body  h6 { font-family: Montserrat-Bold; }

/*--------- List ----------*/
ul { padding-inline-start: 0px; padding-left: 0px; list-style: none; }
ul li a { text-decoration: none !important; }
.li { background-color: #f8f7f7; border: 1px solid #bdbdbd; border-radius: 5px; display: flex; flex-direction: row; justify-content: space-between; align-items: center; padding: 8px 16px; transition: all ease-in-out .1s; cursor: pointer; margin-bottom: 8px; flex-wrap: wrap; }
.li:hover { background-color: white; } 
.li.stacked-data div { display: flex; flex-direction: column; }
.li label { margin-bottom: 0px; font-family: Montserrat-Semibold, sans-serif; color: #828282; font-size: 14px; cursor: pointer; }
.li label.main { color: #003262; }

/*--------- Tables ----------*/
.table-container { width: 100%; max-width: 100%; overflow-x: auto; }
.table { border-radius: 5px; background: #ffffff; }
.table th { background-color: #003262; color: white; font-family: 'Montserrat-Regular'; text-align: center;font-size: 14px; padding: 10px 20px; border-bottom: 0px; }
.table th:first-child { border-radius: 5px 0px 0px 0px; text-align: left; }
.table th:last-child { border-radius: 0px 5px 0px 0px; }
.table td { font-family: 'Montserrat-Regular'; font-size: 14px; font-weight: 600; text-align: center; }
.table td:first-child { text-align: left; }

/*--------- Search Field ----------*/
div.search { display: flex; flex-direction: row; flex-wrap: nowrap; }
div.search input { border-radius: .2rem 0px 0px .2rem; border-right: none; }
div.search button { border-radius: 0px .2rem .2rem 0px; height: 36px; width: 52px; }


/*--------- Filters ----------*/
section.filters { display: flex; flex-direction: row; margin-bottom: 30px; }
#search-result, .search-result { display: none; }
#search-result.show, .search-result.show { display: flex; flex-direction: row; }
#search-result label, .search-result label { color: #8b8b8b; font-family: 'Montserrat-SemiBold'; font-size: 14px; margin-right: 20px; }
#search-result label.remove-filters, .search-result label.remove-filters { color: #ff6419; margin-right: 0px; cursor: pointer; }



/*---------- Pagination ------*/
.pagination { 
    display: flex;
    flex-flow: row nowrap;
    justify-content: start;
    margin: 0px 0px 12px 0px;
    width: 100%;
}
.btn-page { 
    width: 34px;
    height: 34px;
    margin: 0px 2px 0px 0px;
    font-size: 14px;
    line-height: 14px;
    font-family: Montserrat-SemiBold;
    color: #5a5a5a;
    border-radius: 3px;
    background-color: white;
    border: 1px solid #d2d2d2;
    cursor: pointer;
    transition: all ease-in-out 0.3s;
}
.btn-page.active {
    background-color: #FF6419;
    color: white;
    pointer-events: none;
}
.btn-page:hover {
    background-color: #003262;
    color: white;
}
.btn-page:disabled {
    opacity: 0.3;
    pointer-events: none;
}


/*--------- Bootom Tip -------*/
.bottom-tip {
    z-index: 2;
    position: absolute;
    bottom: -2px;
    right: 50%;
    transform: translate(50%, 100%);
    background-color: #5a5a5a;
    color: white;
    padding: 2px 12px;
    border-radius: 5px;
    opacity: 0;
    transition: opacity ease-in-out .3s;
    pointer-events: none;
}
.bottom-tip.align-right { right: 0px; left: unset; transform: translate(0%, 100%); }
.bottom-tip.align-left { left: 0px; right: unset; transform: translate(0%, 100%); }
.bottom-tip-trigger { position: relative; }
.bottom-tip-trigger:hover .bottom-tip { opacity: 1; }


/*--------- Error Pages ------*/
body.error-page { background: linear-gradient(180deg, rgba(226,226,226,1) 0%, rgba(211,215,221,1) 100%); padding: 0px; overflow: hidden; }
.error-page main { height: 100vh; width: 100vw; margin: 0px; padding: 0px; display: flex; flex-direction: column; align-items: center; justify-content: center; }
.error-page .description { text-align: center; font-family: Montserrat-SemiBold, sans-serif; line-height: 20px; max-width: 400px; }
.big-icon-container { background-color: #FF6419; border-radius: 50%; height: 80px; width: 80px; display: flex; align-items: center; justify-content: center;     box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2); }
.big-icon-container img { width: 60%; height: 60%; }

/*--------- Page Sections ------ */
.section {
    background-color: white;
    border-radius: 4px;
    padding: 12px 20px;
    box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}
.section-header {
    text-transform: uppercase;
    font-weight: bold;
    font-family: 'Montserrat-Regular', sans-serif;
    color: #a1a1a1;
    font-size: 14px;
    letter-spacing: 1px;
    margin-bottom: 4px;
}
.section .form-group label { color: #a1a1a1; }
.link { text-decoration:none!important; color: #5a5a5a; }
.link:hover h5, .link:hover h6, .link:hover h7 { color: #003262; }


/*-------- Helpers -------*/
.wide { width: 100%; }
.cl-grey-1 { color: #f2f2f2; }
.cl-grey-2 { color: #e0e0e0; }
.cl-grey-3 { color: #bdbdbd; }
.cl-grey-4 { color: #a5a5a5; }
.cl-grey-5 { color: #4f4f4f; }
.cl-grey-6 { color: #3d3d3d; }
.h-center { justify-content: center; }
.full-width { width: 100%; }
.clickable { cursor: pointer!important; }


/*----------- Alignment ----------------*/
.centralize { display: flex; flex-flow: column wrap; justify-content: center; align-items: center; }
.centralize-row { display: flex; flex-flow: row wrap; justify-content: center; align-items: center; }
.d-col { display: flex; flex-flow: column wrap; }
.d-row { display: flex; flex-flow: row wrap; }
/* Legacy */
.d-column { display: flex; flex-flow: column wrap; }
.d-row.g-lc { justify-content: start; align-items: center; }
.d-row.g-c { justify-content: center; align-items: center; }
/* ----- */
.d-col.g-center, .d-row.g-center { justify-content: center; align-items: center; }
.d-row.x-center { justify-content: center; }
.d-row.x-start { justify-content: start; }
.d-row.x-end { justify-content: end; }
.d-row.x-edges { justify-content: space-between; }
.d-row.y-center { align-items: center; }
.d-row.y-start { align-items: start; }
.d-row.y-end { align-items: end; }
.d-row.nowrap, .d-col.nowrap { flex-wrap: nowrap; }

.breadcrumb { color: #a1a1a1; background-color: unset; font-family: Comfortaa, sans-serif; font-size: 14px; font-weight: bold; line-height: 18px; }

/*-------------- FULL SCREEN ----------------*/
body.full-screen .page .header { padding-top: 12px; padding-left: 60px; padding-bottom: 10px; position: fixed; z-index: 100; box-shadow: 0 0px 15px 0 rgba(0, 0, 0, 0.3); }
body.full-screen .page h2.title { font-size: 26px; margin-bottom: -2px; }
body.full-screen .tabs-container {
    margin-left: -40px;
    margin-right: -15px;
    margin-bottom: -10px;
    overflow-x: auto;
}
body.full-screen .page {
    margin-left: 0px;
    width: 100vw;
}
body.full-screen .page.withTabs .content { padding-top: 120px; }

/*----------- MOBILE Settings ----------------*/
@media (max-width: 992px) {
   .page { margin-left: 0px; width: 100vw; }
   .page .header { padding-top: 12px; padding-left: 60px; padding-bottom: 10px; position: fixed; z-index: 100; box-shadow: 0 0px 15px 0 rgba(0, 0, 0, 0.3); }
   .page h2.title { font-size: 26px; margin-bottom: -2px; }
   .page .subtitle { display: none; }
   .page .content { padding-top: 80px; padding-left: 20px; padding-right: 20px; }
   .page.withTabs .content { padding-top: 120px; }
   .tabs-container { margin-left: -40px; margin-right: -15px; margin-bottom: -10px; overflow-x: auto; }
   li label { font-size: 12px; }
   li label.main { font-size: 14px; }
   .desktop-only { display: none; }
}
